
#ifndef __ARCH_ARM_SRC_SMARTFUSION2_CHIP_SF2_TIMER_H
#define __ARCH_ARM_SRC_SMARTFUSION2_CHIP_SF2_TIMER_H
 
#include "chip.h"
#include <nuttx/config.h>
 
/* Register Offsets ***********************************************************/

#define SF2_TIM1_VAL_OFFSET 0x0000
#define SF2_TIM1_LOADVAL_OFFSET 0x0004
#define SF2_TIM1_BGLOADVAL_OFFSET 0x0008
#define SF2_TIM1_CTRL_OFFSET 0x000C
#define SF2_TIM1_RIS_OFFSET 0x0010
#define SF2_TIM1_MIS_OFFSET 0x0014

#define SF2_TIM2_VAL_OFFSET 0x0018
#define SF2_TIM2_LOADVAL_OFFSET 0x001C
#define SF2_TIM2_BGLOADVAL_OFFSET 0x0020
#define SF2_TIM2_CTRL_OFFSET 0x0024
#define SF2_TIM2_RIS_OFFSET 0x0028
#define SF2_TIM2_MIS_OFFSET 0x002C
#define SF2_TIM64_MODE_OFFSET 0x0054
 

/* Register Addresses *********************************************************/
 
#define SF2_TIM1_VAL         (SF2_TIMER_BASE + SF2_TIM1_VAL_OFFSET)
#define SF2_TIM1_LOADVAL    (SF2_TIMER_BASE + SF2_TIM1_LOADVAL_OFFSET)
#define SF2_TIM1_BGLOADVAL  (SF2_TIMER_BASE + SF2_TIM1_BGLOADVAL_OFFSET)
#define SF2_TIM1_CTRL       (SF2_TIMER_BASE + SF2_TIM1_CTRL_OFFSET)
#define SF2_TIM1_RIS        (SF2_TIMER_BASE + SF2_TIM1_RIS_OFFSET)
#define SF2_TIM1_MIS       (SF2_TIMER_BASE + SF2_TIM1_MIS_OFFSET)

#define SF2_TIM2_VAL       (SF2_TIMER_BASE + SF2_TIM2_VAL_OFFSET)
#define SF2_TIM2_LOADVAL   (SF2_TIMER_BASE + SF2_TIM2_LOADVAL_OFFSET)
#define SF2_TIM2_BGLOADVAL (SF2_TIMER_BASE + SF2_TIM2_BGLOADVAL_OFFSET)
#define SF2_TIM2_CTRL      (SF2_TIMER_BASE + SF2_TIM2_CTRL_OFFSET)
#define SF2_TIM2_RIS       (SF2_TIMER_BASE + SF2_TIM2_RIS_OFFSET)
#define SF2_TIM2_MIS       (SF2_TIMER_BASE + SF2_TIM2_MIS_OFFSET)

#define SF2_TIM64_MODE     (SF2_TIMER_BASE + SF2_TIM64_MODE_OFFSET)


/* Register Bitfield Definitions **********************************************/


#define TIMx_MODE_64 (1 << 0)
/* SPI CONTROL register */

#define TIMx_ENABLE (1 << 0)
#define TIMx_MODE   (1 << 1)
#define TIMx_INTEN  (1 << 2)




#endif /* __ARCH_ARM_SRC_SMARTFUSION2_CHIP_SF2_TIMER_H */
